WordPress es uno de los gestores de contenido más usados del mundo, y como la mayoría de ellos, funciona con el lenguaje PHP.

Un error de configuración de PHP en su cuenta puede significar una falla en la visualización de su sitio.

¿Por qué sucede el error?

Dentro de los errores más comunes (y fáciles de solucionar) se encuentra el límite de memoria de PHP.

Muchos plugin necesitan una capacidad mínima para funcionar. Si se configura PHP con una capacidad menor, los plugin no pueden ejecutarse, por lo que su sitio no puede cargar y posteriormente solo visualiza una pantalla blanca con unas letras negras indicándole el error.

¿Cómo solucionarlo? (Método 1)

Ingrese al cPanel de su servicio y diríjase a “Seleccionar versión PHP”.

Deberá hacer clic en “Options”.

Desde ahí podrá modificar el límite de memoria.

La opción clave es “memory_limit”.

Adicionalmente, es recomendable aumentar las opciones “post_max_size” y “upload_max_filesize”.

¿Cómo solucionarlo? (Método 2)

Si en su cuenta no encuentras “Seleccionar versión PHP”, puede realizar el mismo procedimiento desde “Editor INI de MultiPHP”.

Igualmente que con el método anterior, se deberá modificar la opción “memory_limit”, y adicionalmente, es recomendable aumentar “post_max_size” y “upload_max_filesize”.

¿Por qué existe este límite de memoria?

El límite de memoria permite que un pequeño programa (como un script) no se ejecute más de lo necesario. Si un programa se ejecuta en un bucle infinito puede llegar a gastar todos los recursos de tu servicio.

Ante un ataque así, el límite de memoria se encarga de cortar el script cuando llega al tope establecido. De esta forma, se evita que el sitio sea afectado por el ataque.

También evita que programas/plugins legítimos (por ejemplo, mal programados o rotos) afecten el servicio, ya que el límite de memoria se activará y cortará el programa.

Es por todo esto que es necesario configurar el límite de memoria de PHP de acuerdo a nuestra necesidad.